Foxit PDF SDK

Public Member Functions | Static Public Attributes | List of all members
com.foxit.sdk.pdf.annots.BorderInfo Class Reference

## Public Member Functions
| BorderInfo (float width, int style, float intensity, float dash_phase, FloatArray dashes)
| Constructor, with parameters. More...
| BorderInfo ()
| Constructor.
| BorderInfo (BorderInfo border_info)
| Constructor, with another border information object. More...
synchronized void | delete ()
| Clean up related C++ resources immediately. More...
float | getCloud_intensity ()
| Get intensity of the cloudy effect. More...
float | getDash_phase ()
| Get dash phase. More...
FloatArray | getDashes ()
| Get a dash array that represents the dash patterns. More...
int | getStyle ()
| Get border style. More...
float | getWidth ()
| Get border width, in points. More...
void | set (float width, int style, float intensity, float dash_phase, FloatArray dashes)
| Set value. More...
void | setCloud_intensity (float value)
| Set intensity of the cloudy effect. More...
void | setDash_phase (float value)
| Set dash phase. More...
void | setDashes (FloatArray value)
| Set a dash array that represents the dash patterns. More...
void | setStyle (int value)
| Set border style. More...
void | setWidth (float value)
| Set border width, in points. More...

## Static Public Attributes
static final int | e_Beveled = 3
| Border style: Beveled. More...
static final int | e_Cloudy = 5
| Border style: Cloudy. More...
static final int | e_Dashed = 1
| Border style: Dashed. More...
static final int | e_Inset = 4
| Border style: Inset. More...
static final int | e_Solid = 0
| Border style: Solid.
static final int | e_UnderLine = 2
| Border style: Underline. More...

## Detailed Description

This class represents annotation border information.

## Constructor & Destructor Documentation

## ◆ BorderInfo() [1/2]

com.foxit.sdk.pdf.annots.BorderInfo.BorderInfo | ( | float | width,
|  | int | style,
|  | float | intensity,
|  | float | dash_phase,
|  | FloatArray | dashes
| ) |  |

Constructor, with parameters.

Parameters

  [in] | width | Border width, in points. This should be a non-negative value. If this value is 0, no border is drawn.
  [in] | style | Border style. Please refer to values starting from com.foxit.sdk.pdf.annots.BorderInfo.e_Solid and this should be one of these values.
  [in] | intensity | Intensity of the cloudy effect. Only useful when parameter style is com.foxit.sdk.pdf.annots.BorderInfo.e_Cloudy . Valid value range: 0 to 2. 0 means no cloudy border effect. If the value is below 0, it will have the same effect as value 0. If the value is above 2, it will have the same effect as value 2.
  [in] | dash_phase | Dash phase. Only useful when parameter style is com.foxit.sdk.pdf.annots.BorderInfo.e_Dashed .
  [in] | dashes | A dash array that represents the dash patterns. The value of each element in this array should not be negative. Only useful when style is com.foxit.sdk.pdf.annots.BorderInfo.e_Dashed .

## ◆ BorderInfo() [2/2]

com.foxit.sdk.pdf.annots.BorderInfo.BorderInfo | ( | BorderInfo | border_info | ) |

Constructor, with another border information object.

Parameters

  [in] | border_info | Another border information object.

## Member Function Documentation

## ◆ delete()

synchronized void com.foxit.sdk.pdf.annots.BorderInfo.delete | ( |  | ) |

Clean up related C++ resources immediately.

Returns
  None.

Note
  Once this function is called, current object cannot be used anymore.

## ◆ getCloud_intensity()

com.foxit.sdk.pdf.annots.BorderInfo.getCloud_intensity | ( |  | ) |

Get intensity of the cloudy effect.

This is only useful to free text, square, circle, and polygon annotations when style of current object is com.foxit.sdk.pdf.annots.BorderInfo.e_Cloudy .
Suggested value range: 0 to 2. 0 means no cloudy border effect.
For rest value, their effect would be:

- If the value is below 0, it will have the same effect as value 0.

- If the value is above 2, it will have the same effect as value 2.

Returns
  Intensity of the cloudy effect.

## ◆ getDash_phase()

com.foxit.sdk.pdf.annots.BorderInfo.getDash_phase | ( |  | ) |

Get dash phase.

Only useful when style of current object is com.foxit.sdk.pdf.annots.BorderInfo.e_Dashed .

Returns
  Dash phase.

## ◆ getDashes()

com.foxit.sdk.pdf.annots.BorderInfo.getDashes | ( |  | ) |

Get a dash array that represents the dash patterns.

Only useful when style of current object is com.foxit.sdk.pdf.annots.BorderInfo.e_Dashed .
The value of elements in this array should not be negative.

Returns
  A dash array that represents the dash patterns.

## ◆ getStyle()

com.foxit.sdk.pdf.annots.BorderInfo.getStyle | ( |  | ) |

Get border style.

Returns
  Border style. Please refer to values starting from com.foxit.sdk.pdf.annots.BorderInfo.e_Solid and this should be one of these values. Please also check comment of these values for more details.

## ◆ getWidth()

com.foxit.sdk.pdf.annots.BorderInfo.getWidth | ( |  | ) |

Get border width, in points.

This value should not be negative. If this value is 0, no border will be drawn.

Returns
  Border width, in points.

## ◆ set()

void com.foxit.sdk.pdf.annots.BorderInfo.set | ( | float | width,
|  | int | style,
|  | float | intensity,
|  | float | dash_phase,
|  | FloatArray | dashes
| ) |  |

Set value.

Parameters

  [in] | width | Border width, in points. This should be a non-negative value. If this value is 0, no border is drawn.
  [in] | style | Border style. Please refer to values starting from com.foxit.sdk.pdf.annots.BorderInfo.e_Solid and this should be one of these values.
  [in] | intensity | Intensity of the cloudy effect. Only useful when parameter style is com.foxit.sdk.pdf.annots.BorderInfo.e_Cloudy . Valid value range: 0 to 2. 0 means no cloudy border effect. If the value is below 0, it will have the same effect as value 0. If the value is above 2, it will have the same effect as value 2.
  [in] | dash_phase | Dash phase. Only useful when parameter style is com.foxit.sdk.pdf.annots.BorderInfo.e_Dashed .
  [in] | dashes | A dash array that represents the dash patterns. The value of each element in this array should not be negative. Only useful when style is com.foxit.sdk.pdf.annots.BorderInfo.e_Dashed .

Returns
  None.

## ◆ setCloud_intensity()

com.foxit.sdk.pdf.annots.BorderInfo.setCloud_intensity | ( | float | value | ) |

Set intensity of the cloudy effect.

This is only useful to free text, square, circle, and polygon annotations when style of current object is com.foxit.sdk.pdf.annots.BorderInfo.e_Cloudy .
Suggested value range: 0 to 2. 0 means no cloudy border effect.
For rest value, their effect would be:

- If the value is below 0, it will have the same effect as value 0.

- If the value is above 2, it will have the same effect as value 2.

Parameters

  [in] | value | Intensity of the cloudy effect.

Returns
  None.

## ◆ setDash_phase()

com.foxit.sdk.pdf.annots.BorderInfo.setDash_phase | ( | float | value | ) |

Set dash phase.

Only useful when style of current object is com.foxit.sdk.pdf.annots.BorderInfo.e_Dashed .

Parameters

  [in] | value | Dash phase.

Returns
  None.

## ◆ setDashes()

com.foxit.sdk.pdf.annots.BorderInfo.setDashes | ( | FloatArray | value | ) |

Set a dash array that represents the dash patterns.

Only useful when style of current object is com.foxit.sdk.pdf.annots.BorderInfo.e_Dashed .
The value of elements in this array should not be negative.

Parameters

  [in] | value | A dash array that represents the dash patterns.

Returns
  None.

## ◆ setStyle()

com.foxit.sdk.pdf.annots.BorderInfo.setStyle | ( | int | value | ) |

Set border style.

Parameters

  [in] | value | Border style. Please refer to values starting from com.foxit.sdk.pdf.annots.BorderInfo.e_Solid and this should be one of these values. Please also check comment of these values for more details.

Returns
  None.

## ◆ setWidth()

com.foxit.sdk.pdf.annots.BorderInfo.setWidth | ( | float | value | ) |

Set border width, in points.

This value should not be negative. If this value is 0, no border will be drawn.

Parameters

  [in] | value | Border width, in points.

Returns
  None.

## Member Data Documentation

## ◆ e_Beveled

final int com.foxit.sdk.pdf.annots.BorderInfo.e_Beveled = 3
| static

Border style: Beveled.

Currently, Foxit PDF SDK does not support the annotation appearance of this border style. If this is set to any annotation, Foxit PDF SDK will change to set border style as com.foxit.sdk.pdf.annots.BorderInfo.e_Solid by default internally.

## ◆ e_Cloudy

final int com.foxit.sdk.pdf.annots.BorderInfo.e_Cloudy = 5
| static

Border style: Cloudy.

This is only useful for free text, square, circle, and polygon annotations. If this is set to other type annotation, Foxit PDF SDK will change to set border style as com.foxit.sdk.pdf.annots.BorderInfo.e_Solid by default internally.

## ◆ e_Dashed

final int com.foxit.sdk.pdf.annots.BorderInfo.e_Dashed = 1
| static

Border style: Dashed.

This is only useful for link, free text, line, square, circle, polygon, polyline and screen annotation. If this is set to other type annotation, Foxit PDF SDK will change to set border style as com.foxit.sdk.pdf.annots.BorderInfo.e_Solid by default internally.

## ◆ e_Inset

final int com.foxit.sdk.pdf.annots.BorderInfo.e_Inset = 4
| static

Border style: Inset.

Currently, Foxit PDF SDK does not support the annotation appearance of this border style. If this is set to any annotation, Foxit PDF SDK will change to set border style as com.foxit.sdk.pdf.annots.BorderInfo.e_Solid by default internally.

## ◆ e_UnderLine

final int com.foxit.sdk.pdf.annots.BorderInfo.e_UnderLine = 2
| static

Border style: Underline.

This is only useful for link annotation. If this is set to other type annotation, Foxit PDF SDK will change to set border style as com.foxit.sdk.pdf.annots.BorderInfo.e_Solid by default internally.